Bug 815995 - [abrt] htop-1.0-1.fc17: __GI_raise: Process /usr/bin/htop was killed by signal 6 (SIGABRT)
[abrt] htop-1.0-1.fc17: __GI_raise: Process /usr/bin/htop was killed by signa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: htop (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
abrt_hash:ac760898b07c602e7da65b1c527...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 22:04 EDT by Mikhail
Modified: 2012-07-26 18:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:36:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.96 KB, text/plain)
2012-04-24 22:04 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-04-24 22:04:49 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        htop
comment:        Try terminate process
crash_function: __GI_raise
executable:     /usr/bin/htop
kernel:         3.3.2-8.fc17.i686.PAE
pid:            1936
pwd:            /home/mikhail
remote_result:  NOTFOUND
time:           Ср. 25 апр. 2012 07:57:59
uid:            1000
username:       mikhail
var_log_messages: Apr 25 07:57:59 ao521 abrt[3221]: Saved core dump of pid 1936 (/usr/bin/htop) to /var/spool/abrt/ccpp-2012-04-25-07:57:59-1936 (1339392 bytes)

backtrace:      Text file, 15318 bytes

build_ids:
:a6dc55fb77073da1e6b9c8f4803b6cb78d296185
:68271cb081d1d653575fa11c63f00aef76927081
:74fdca1c4290bedcdd8ddde8b08f3077473cd819
:adfd7c00b1f1917441a0340beb84d77d2f6baeeb
:8b8fc79f6d14471ef212188db7d5b8e916825c88
:373117638706ad738d851a53056cf45af9a3daf3
:63ef6aa0a2fa6f814c3afccb1486d4f7f5f5288a
:a18c95bb7653260deaf25e559401325c1bed2b05
:87d68f04cb1e218a1c05c61200170d889e007474
:c5804dd59f6add125a836b9dfd681e4750c99f49
:8977b8492e9b9e203c5e53dccd30adf441420b99

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mikhail/6

core_backtrace:
:ca46d02dc080b91540cf3fe6fa133088b4eb7428 0x424 __kernel_vsyscall linux-gate.so.1 -
:8977b8492e9b9e203c5e53dccd30adf441420b99 0x2e91f raise libc.so.6 -
:8977b8492e9b9e203c5e53dccd30adf441420b99 0x30273 abort libc.so.6 -
:a6dc55fb77073da1e6b9c8f4803b6cb78d296185 0xa137 - [exe] -

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.15-32.fc17.i686 (Fedora Project) 1333675732
:/usr/lib/locale/locale-archive glibc-common-2.15-32.fc17.i686 (Fedora Project) 1333675745
:/usr/lib/libc-2.15.so glibc-2.15-32.fc17.i686 (Fedora Project) 1333675732
:/usr/lib/libm-2.15.so glibc-2.15-32.fc17.i686 (Fedora Project) 1333675732
:/usr/lib/libncursesw.so.5.9 ncurses-libs-5.9-4.20120204.fc17.i686 (Fedora Project) 1329853941
:/usr/lib/libdl-2.15.so glibc-2.15-32.fc17.i686 (Fedora Project) 1333675732
:/usr/lib/libpthread-2.15.so glibc-2.15-32.fc17.i686 (Fedora Project) 1333675732
:/usr/lib/ld-2.15.so glibc-2.15-32.fc17.i686 (Fedora Project) 1333675732
:/usr/lib/libgcc_s-4.7.0-20120416.so.1 libgcc-4.7.0-2.fc17.i686 (Fedora Project) 1334629724
:/usr/lib/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.i686 (Fedora Project) 1329853941
:/usr/bin/htop htop-1.0-1.fc17.i686 (Fedora Project) 1330501323
:/usr/lib/libpagemap.so.0.0.0 libpagemap-0.0.1-10.fc17.i686 (Fedora Project) 1330501308
:/usr/lib/libnss_files-2.15.so glibc-2.15-32.fc17.i686 (Fedora Project) 1333675732

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=6
:HOSTNAME=ao521
:LC_MONETARY=ru_RU.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/mikhail/keyring-lYpD0D/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=712f11080aa5ec90698eefb000000045-1335296944.188495-1405564514
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=35651589
:LC_NUMERIC=ru_RU.utf8
:GNOME_KEYRING_CONTROL=/run/user/mikhail/keyring-lYpD0D
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=mikhail
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.axa=00;36:*.oga=00;36:*.spx=00;36:*.xspf=00;36:
:SSH_AUTH_SOCK=/run/user/mikhail/keyring-lYpD0D/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1199,unix/unix:/tmp/.ICE-unix/1199
:USERNAME=mikhail
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mikhail/.local/bin:/home/mikhail/bin
:MAIL=/var/spool/mail/mikhail
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mikhail
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1197
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:LC_MEASUREMENT=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups:ignorespace
:XDG_SEAT=seat0
:HOME=/home/mikhail
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=mikhail
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6qOsNVeyVt,guid=60efe9d115b4f1f2e8d767cc00003133
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/mikhail
:DISPLAY=:0
:LC_TIME=ru_RU.utf8
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-mikhail-Kb11sE/database
:_=/usr/bin/htop

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30095                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30095                30095                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:08047000-08065000 r-xp 00000000 08:01 25469      /usr/bin/htop
:08065000-08066000 r--p 0001d000 08:01 25469      /usr/bin/htop
:08066000-08067000 rw-p 0001e000 08:01 25469      /usr/bin/htop
:08067000-08068000 rw-p 00000000 00:00 0 
:09ac6000-09bbe000 rw-p 00000000 00:00 0          [heap]
:4ad2b000-4ad4a000 r-xp 00000000 08:01 4179       /usr/lib/ld-2.15.so
:4ad4a000-4ad4b000 r--p 0001e000 08:01 4179       /usr/lib/ld-2.15.so
:4ad4b000-4ad4c000 rw-p 0001f000 08:01 4179       /usr/lib/ld-2.15.so
:4ad4e000-4aef7000 r-xp 00000000 08:01 17290      /usr/lib/libc-2.15.so
:4aef7000-4aef9000 r--p 001a8000 08:01 17290      /usr/lib/libc-2.15.so
:4aef9000-4aefa000 rw-p 001aa000 08:01 17290      /usr/lib/libc-2.15.so
:4aefa000-4aefd000 rw-p 00000000 00:00 0 
:4aeff000-4af15000 r-xp 00000000 08:01 53656      /usr/lib/libpthread-2.15.so
:4af15000-4af16000 r--p 00015000 08:01 53656      /usr/lib/libpthread-2.15.so
:4af16000-4af17000 rw-p 00016000 08:01 53656      /usr/lib/libpthread-2.15.so
:4af17000-4af19000 rw-p 00000000 00:00 0 
:4af1b000-4af1e000 r-xp 00000000 08:01 50287      /usr/lib/libdl-2.15.so
:4af1e000-4af1f000 r--p 00002000 08:01 50287      /usr/lib/libdl-2.15.so
:4af1f000-4af20000 rw-p 00003000 08:01 50287      /usr/lib/libdl-2.15.so
:4af22000-4af25000 r-xp 00000000 08:01 28643      /usr/lib/libpagemap.so.0.0.0
:4af25000-4af26000 rw-p 00002000 08:01 28643      /usr/lib/libpagemap.so.0.0.0
:4af2d000-4af56000 r-xp 00000000 08:01 50297      /usr/lib/libm-2.15.so
:4af56000-4af57000 r--p 00028000 08:01 50297      /usr/lib/libm-2.15.so
:4af57000-4af58000 rw-p 00029000 08:01 50297      /usr/lib/libm-2.15.so
:4b274000-4b290000 r-xp 00000000 08:01 9070       /usr/lib/libgcc_s-4.7.0-20120416.so.1
:4b290000-4b291000 rw-p 0001b000 08:01 9070       /usr/lib/libgcc_s-4.7.0-20120416.so.1
:4b58c000-4b5be000 r-xp 00000000 08:01 62798      /usr/lib/libncursesw.so.5.9
:4b5be000-4b5bf000 r--p 00031000 08:01 62798      /usr/lib/libncursesw.so.5.9
:4b5bf000-4b5c0000 rw-p 00032000 08:01 62798      /usr/lib/libncursesw.so.5.9
:4c72b000-4c748000 r-xp 00000000 08:01 53739      /usr/lib/libtinfo.so.5.9
:4c748000-4c74a000 r--p 0001c000 08:01 53739      /usr/lib/libtinfo.so.5.9
:4c74a000-4c74b000 rw-p 0001e000 08:01 53739      /usr/lib/libtinfo.so.5.9
:b75bc000-b75c7000 r-xp 00000000 08:01 50011      /usr/lib/libnss_files-2.15.so
:b75c7000-b75c8000 r--p 0000a000 08:01 50011      /usr/lib/libnss_files-2.15.so
:b75c8000-b75c9000 rw-p 0000b000 08:01 50011      /usr/lib/libnss_files-2.15.so
:b75dc000-b77dc000 r--p 00000000 08:01 50034      /usr/lib/locale/locale-archive
:b77dc000-b77df000 rw-p 00000000 00:00 0 
:b77eb000-b77f2000 r--s 00000000 08:01 143981     /usr/lib/gconv/gconv-modules.cache
:b77f2000-b77f3000 rw-p 00000000 00:00 0 
:b77f3000-b77f4000 r-xp 00000000 00:00 0          [vdso]
:bfe3f000-bfe60000 rw-p 00000000 00:00 0          [stack]

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	02002
:1:/dev/pts/0
:pos:	0
:flags:	02002
:2:/dev/pts/0
:pos:	0
:flags:	02002

smolt_data:
:
:
:General
:=================================
:UUID: 6478aaa9-30e4-4a97-a123-b179d02652cd
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3391.35
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II Neo K125 Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 1
:CPU Speed: 1700
:System Memory: 3778
:System Swap: 4095
:Vendor: Acer
:System: AO521 Not Applicable
:Form factor: Notebook
:Kernel: 3.3.2-8.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:4133:1085) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:17302:4133:1085) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4130:38401:4133:1085) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:38402:4130:1085) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(6505:8288:4133:1085) pci, atl1c, ETHERNET, AR8152 v1.1 Fast Ethernet
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(5772:43:4187:57397) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4133:1085) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4133:1085) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38674:4133:1085) pci, radeon, VIDEO, M880G [Mobility Radeon HD 4200]
:(4098:38671:4098:38674) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:4133:1085) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4133:1085) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4133:1085) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38404:4133:1085) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:(4130:38405:4133:1085) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 6094889 3485845 3424823 1531904 1267725 1267725
:/dev/sda5 /home ext4 4096 4096 48953540 3481061 1030354 12255232 12080761 12080761
:
Comment 1 Mikhail 2012-04-24 22:04:56 EDT
Created attachment 580040 [details]
File: backtrace
Comment 2 Mikhail 2012-04-30 15:08:02 EDT
Try to kill evolution-adressbook-factory process

backtrace_rating: 4
Package: htop-1.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Mikhail 2012-05-15 12:55:09 EDT
select evolution-adressbook-factory process and press F9

backtrace_rating: 4
Package: htop-1.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Mikhail 2012-05-26 10:47:17 EDT
play with memory usage means watch how much allocate memory in htop

backtrace_rating: 3
Package: htop-1.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Mikhail 2012-06-09 00:09:38 EDT
Press F6 for sorting

backtrace_rating: 4
Package: htop-1.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Mikhail 2012-06-19 03:54:57 EDT
Very often occurs when I try kill process with SEGV signal

backtrace_rating: 4
Package: htop-1.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Steve 2012-07-04 04:47:19 EDT
I installed htop on a fresh install of Fedora 17. I ran htop, highlighted a process and pressed the f9 key to kill it, resulting in this error.

backtrace_rating: 4
Package: htop-1.0-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Fedora Update System 2012-07-10 16:27:02 EDT
htop-1.0.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/htop-1.0.1-1.fc17
Comment 9 Fedora Update System 2012-07-11 19:52:24 EDT
Package htop-1.0.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing htop-1.0.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10530/htop-1.0.1-1.fc17
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-07-26 18:36:09 EDT
htop-1.0.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.